Index: ram/scfield.c
===================================================================
--- ram/scfield.c	(revision 73dd55fa7829434f02ca14204368a01905e44d46)
+++ ram/scfield.c	(revision 05806159f2593192d6ed2fca28358480a2383c67)
@@ -24,33 +24,92 @@
 /* functions defined elsewhere */
 
-extern	char	*memset();
-
-extern	short	cxkstd(), cykstd(), select(), oktode(), stdctp3();
-extern	short	enterit(), stddkey(), nokey(), stdmkey();
-
-extern	short	et_strn(), ef_strn(), rd_strn(), nd_strn();
-extern	short	et_snbt(), ef_snbt(), rd_snbt(), nd_snbt();
-
-extern	short	et_ioas(), ef_ioas(), rd_ioas(), nd_ioas();
-extern	short	et_tune(), ef_tune(), rd_tune(), nd_tune();
-extern	short	et_tmpo(), ef_tmpo(), rd_tmpo(), nd_tmpo();
-extern	short	et_intp(), ef_intp(), rd_intp(), nd_intp();
-
-extern	short	et_inst(), ef_inst(), rd_inst(), nd_inst();
-extern	short	et_trns(), ef_trns(), rd_trns(), nd_trns();
-extern	short	et_dyn(), ef_dyn(), rd_dyn(), nd_dyn();
-extern	short	et_loc(), ef_loc(), rd_loc(), nd_loc();
-extern	short	et_vel(), ef_vel(), rd_vel(), nd_vel();
-
-extern	short	et_res1(), ef_res1(), rd_res1(), nd_res1();
-extern	short	et_aval(), ef_aval(), rd_aval(), nd_aval();
-extern	short	et_agrp(), ef_agrp(), rd_agrp(), nd_agrp();
-
-extern	short	et_scor(), ef_scor(), rd_scor(), nd_scor();
+extern	char	*memset(char *sp, char c, int n);
+
+extern	void	cxkstd(void);
+extern	void	cykstd(void);
+extern	void	select(void);
+extern	short	oktode(struct s_entry *ep);
+extern	short	stdctp3(void);
+extern	void	enterit(void);
+extern	void	stddkey(void);
+extern	short	nokey(void);
+extern	void	stdmkey(void);
+
+extern	short	et_strn(void);
+extern	short	ef_strn(void);
+extern	short	rd_strn(void);
+extern	short	nd_strn(short n, short k);
+extern	short	et_snbt(short n);
+extern	short	ef_snbt(short n);
+extern	short	rd_snbt(short n);
+extern	short	nd_snbt(short n, short k);
+
+extern	short	et_ioas(short n);
+extern	short	ef_ioas(short n);
+extern	short	rd_ioas(short n);
+extern	short	nd_ioas(short n, short k);
+extern	short	et_tune(short n);
+extern	short	ef_tune(short n);
+extern	short	rd_tune(short n);
+extern	short	nd_tune(short n, short k);
+extern	short	et_tmpo(short n);
+extern	short	ef_tmpo(short n);
+extern	short	rd_tmpo(short n);
+extern	short	nd_tmpo(short n, short k);
+extern	short	et_intp(short n);
+extern	short	ef_intp(short n);
+extern	short	rd_intp(short n);
+extern	short	nd_intp(short n, short k);
+
+extern	short	et_inst(short n);
+extern	short	ef_inst(short n);
+extern	short	rd_inst(short n);
+extern	short	nd_inst(short n, short k);
+extern	short	et_trns(short n);
+extern	short	ef_trns(short n);
+extern	short	rd_trns(short n);
+extern	short	nd_trns(short n, short k);
+extern	short	et_dyn(short n);
+extern	short	ef_dyn(short n);
+extern	short	rd_dyn(short n);
+extern	short	nd_dyn(short n, short k);
+extern	short	et_loc(short n);
+extern	short	ef_loc(short n);
+extern	short	rd_loc(short n);
+extern	short	nd_loc(short n, short k);
+extern	short	et_vel(short n);
+extern	short	ef_vel(short n);
+extern	short	rd_vel(short n);
+extern	short	nd_vel(short n, short k);
+
+extern	short	et_res1(short n);
+extern	short	ef_res1(short n);
+extern	short	rd_res1(short n);
+extern	short	nd_res1(short n, short k);
+extern	short	et_aval(short n);
+extern	short	ef_aval(short n);
+extern	short	rd_aval(short n);
+extern	short	nd_aval(short n, short k);
+extern	short	et_agrp(short n);
+extern	short	ef_agrp(short n);
+extern	short	rd_agrp(short n);
+extern	short	nd_agrp(short n, short k);
+
+extern	short	et_scor(void);
+extern	short	ef_scor(void);
+extern	short	rd_scor(void);
+extern	short	nd_scor(short n, short k);
 
 /* forward references */
 
-short	et_null(), ef_null(), rd_null(), nd_null();
-short	sdcxu(), sdcyu(), sdxkey(), sdmkey(), scntfld();
+short	et_null(void);
+short	ef_null(void);
+short	rd_null(void);
+short	nd_null(void);
+void	sdcxu(void);
+void	sdcyu(void);
+void	sdxkey(void);
+void	sdmkey(void);
+short	scntfld(short k);
 
 /* 
@@ -282,24 +341,20 @@
 */
 
-short
-et_null()
+short et_null(void)
 {
 	return(SUCCESS);
 }
 
-short
-ef_null()
+short ef_null(void)
 {
 	return(SUCCESS);
 }
 
-short
-rd_null()
+short rd_null(void)
 {
 	return(SUCCESS);
 }
 
-short
-nd_null()
+short nd_null(void)
 {
 	return(SUCCESS);
@@ -316,5 +371,5 @@
 */
 
-istart()
+void istart(void)
 {
 	register struct s_entry *ep, *pp, *tp;
@@ -361,5 +416,5 @@
 */
 
-icancel()
+void icancel(void)
 {
 	register struct s_entry *ep, *tp, *rp;
@@ -412,6 +467,5 @@
 */
 
-short
-sdcxu()
+void sdcxu(void)
 {
 	if (sdmctl EQ 0) {		/* typewriter up */
@@ -451,6 +505,5 @@
 */
 
-short
-sdcyu()
+void sdcyu(void)
 {
 	if (sdmctl EQ 0) {
@@ -491,7 +544,5 @@
 */
 
-short
-scntfld(k)
-short k;
+short scntfld(short k)
 {
 	register short grp, fnc, var;
@@ -594,7 +645,5 @@
 */
 
-short
-cp2time(cx)
-short cx;
+short cp2time(short cx)
 {
 	register long ct;
@@ -619,8 +668,5 @@
 */
 
-short
-delevts(etp, thetime)
-register short etp;
-register long thetime;
+short delevts(short etp, long thetime)
 {
 	register struct s_entry *ep, *np;
@@ -686,6 +732,5 @@
 */
 
-short
-deladat()
+short deladat(void)
 {
 	register struct s_entry *ep, *rp;
@@ -802,6 +847,5 @@
 */
 
-short
-sdxkey()
+void sdxkey(void)
 {
 	register short col, grp, sect;
@@ -1018,6 +1062,5 @@
 */
 
-short
-sdmkey()
+void sdmkey(void)
 {
 	if (astat) {
@@ -1040,5 +1083,5 @@
 */
 
-scfield()
+void scfield(void)
 {
 	curset(&sc_flds);
